QIntValidator(3qt)

NAME
QIntValidator - Range checking of integers

SYNOPSIS

#include <qvalidator.h>

Inherits QValidator.

  Public Members
QIntValidator ( QWidget * parent, const char * name = 0 )
QIntValidator ( int bottom, int top, QWidget * parent, const char * name = 0 )
~QIntValidator ()
virtual QValidator::State validate ( QString &, int & )
virtual void setRange ( int bottom, int top )
int bottom () const
int top () const

DESCRIPTION
The QIntValidator class provides range checking of integers.

QIntValidator provides a lower and an upper bound. It does not provide a fixup() function.

See also: QDoubleValidator.

MEMBER FUNCTION DOCUMENTATION

QIntValidator::QIntValidator ( QWidget * parent, const char * name = 0 )
Creates a validator object which accepts all integers.

QIntValidator::QIntValidator ( int bottom, int top, QWidget * parent, const char * name = 0 )
Creates a validator object which accepts all integers from bottom up to and including top.

QIntValidator::~QIntValidator ()
Deletes the validator and frees up any storage used.

int QIntValidator::bottom () const
Returns the lowest valid number according to this validator.

See also: top() and setRange().

void QIntValidator::setRange ( int bottom, int top ) [virtual]
Sets the validator to accept only number from bottom up to an including top.

int QIntValidator::top () const
Returns the highest valid number according to this validator.

See also: bottom() and setRange().

SEE ALSO
http://www.troll.no/qt/qintvalidator.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.